set(ui_SRC
	clipboard.cpp
	contextmenu.cpp
	control-manager.cpp
	dialog-events.cpp
	draw-anchor.cpp
	interface.cpp
        monitor.cpp
	previewholder.cpp
	selected-color.cpp
	shape-editor.cpp
	shape-editor-knotholders.cpp
	tool-factory.cpp
	tools-switch.cpp
        util.cpp
	uxmanager.cpp

	cache/svg_preview_cache.cpp

	tool/control-point-selection.cpp
	tool/control-point.cpp
	tool/curve-drag-point.cpp
	tool/event-utils.cpp
	tool/manipulator.cpp
	tool/modifier-tracker.cpp
	tool/multi-path-manipulator.cpp
	tool/node.cpp
	tool/path-manipulator.cpp
	tool/selectable-control-point.cpp
	tool/selector.cpp
	tool/transform-handle-set.cpp

	toolbar/arc-toolbar.cpp
	toolbar/box3d-toolbar.cpp
	toolbar/calligraphy-toolbar.cpp
	toolbar/connector-toolbar.cpp
	toolbar/dropper-toolbar.cpp
	toolbar/eraser-toolbar.cpp
	toolbar/gradient-toolbar.cpp
	toolbar/lpe-toolbar.cpp
	toolbar/measure-toolbar.cpp
	toolbar/mesh-toolbar.cpp
	toolbar/node-toolbar.cpp
	toolbar/pencil-toolbar.cpp
	toolbar/rect-toolbar.cpp
	toolbar/select-toolbar.cpp
	toolbar/spiral-toolbar.cpp
	toolbar/spray-toolbar.cpp
	toolbar/star-toolbar.cpp
	toolbar/text-toolbar.cpp
	toolbar/toolbar.cpp
	toolbar/tweak-toolbar.cpp
	toolbar/zoom-toolbar.cpp

	tools/arc-tool.cpp
	tools/box3d-tool.cpp
	tools/calligraphic-tool.cpp
	tools/connector-tool.cpp
	tools/dropper-tool.cpp
	tools/dynamic-base.cpp
	tools/eraser-tool.cpp
	tools/freehand-base.cpp
	tools/gradient-tool.cpp
	tools/lpe-tool.cpp
	tools/measure-tool.cpp
	tools/mesh-tool.cpp
	tools/node-tool.cpp
	tools/pencil-tool.cpp
	tools/pen-tool.cpp
	tools/rect-tool.cpp
	tools/select-tool.cpp
	tools/spiral-tool.cpp
	tools/spray-tool.cpp
	tools/star-tool.cpp
	tools/text-tool.cpp
	tools/tool-base.cpp
	tools/tweak-tool.cpp
	tools/zoom-tool.cpp

	dialog/aboutbox.cpp
	dialog/align-and-distribute.cpp
	dialog/calligraphic-profile-rename.cpp
	dialog/clonetiler.cpp
	dialog/color-item.cpp
        dialog/attrdialog.cpp
        dialog/cssdialog.cpp
	dialog/debug.cpp
	dialog/desktop-tracker.cpp
	dialog/dialog-manager.cpp
	dialog/dialog.cpp
	dialog/dock-behavior.cpp
	dialog/document-metadata.cpp
	dialog/document-properties.cpp
	dialog/export.cpp
	dialog/extension-editor.cpp
	dialog/extensions.cpp
	dialog/filedialog.cpp
	dialog/filedialogimpl-gtkmm.cpp
	dialog/fill-and-stroke.cpp
        dialog/filter-editor.cpp
	dialog/filter-effects-dialog.cpp
	dialog/find.cpp
	dialog/floating-behavior.cpp
	dialog/font-substitution.cpp
	dialog/glyphs.cpp
	dialog/grid-arrange-tab.cpp
	dialog/guides.cpp
	dialog/icon-preview.cpp
	dialog/inkscape-preferences.cpp
	dialog/input.cpp
	dialog/knot-properties.cpp
	dialog/layer-properties.cpp
	dialog/layers.cpp
	dialog/livepatheffect-add.cpp
	dialog/livepatheffect-editor.cpp
	dialog/lpe-fillet-chamfer-properties.cpp
	dialog/lpe-powerstroke-properties.cpp
	dialog/memory.cpp
	dialog/messages.cpp
	dialog/new-from-template.cpp
	dialog/object-attributes.cpp
	dialog/object-properties.cpp
	dialog/objects.cpp
	dialog/ocaldialogs.cpp
	dialog/pixelartdialog.cpp
	dialog/polar-arrange-tab.cpp
	dialog/print-colors-preview-dialog.cpp
	dialog/print.cpp
	dialog/prototype.cpp
	dialog/spellcheck.cpp
        dialog/styledialog.cpp
	dialog/svg-fonts-dialog.cpp
	dialog/swatches.cpp
	dialog/symbols.cpp
	dialog/tags.cpp
	dialog/template-load-tab.cpp
	dialog/template-widget.cpp
	dialog/text-edit.cpp
	dialog/tile.cpp
	dialog/transformation.cpp
	dialog/undo-history.cpp
	dialog/xml-tree.cpp
        dialog/save-template-dialog.cpp

	widget/iconrenderer.cpp
	widget/alignment-selector.cpp
	widget/anchor-selector.cpp
	widget/button.cpp
	widget/clipmaskicon.cpp
	widget/color-entry.cpp
	widget/color-icc-selector.cpp
	widget/color-notebook.cpp
	widget/color-picker.cpp
	widget/color-preview.cpp
	widget/color-scales.cpp
	widget/color-slider.cpp
	widget/color-wheel-selector.cpp
	widget/dock-item.cpp
	widget/dock.cpp
	widget/entity-entry.cpp
	widget/entry.cpp
	widget/filter-effect-chooser.cpp
	widget/font-button.cpp
        widget/font-selector.cpp
        widget/font-selector-toolbar.cpp
	widget/font-variants.cpp
	widget/font-variations.cpp
	widget/frame.cpp
	widget/highlight-picker.cpp
	widget/imageicon.cpp
	widget/imagetoggler.cpp
	widget/ink-select-one-action.cpp
	widget/ink-spinscale.cpp
	widget/insertordericon.cpp
	widget/labelled.cpp
	widget/layer-selector.cpp
	widget/layertypeicon.cpp
	widget/licensor.cpp
	widget/notebook-page.cpp
	widget/object-composite-settings.cpp
	widget/page-sizer.cpp
	widget/panel.cpp
	widget/point.cpp
	widget/preferences-widget.cpp
	widget/random.cpp
	widget/registered-widget.cpp
	widget/registry.cpp
	widget/rendering-options.cpp
	widget/rotateable.cpp
	widget/scalar-unit.cpp
	widget/scalar.cpp
	widget/selected-style.cpp
	widget/spin-scale.cpp
	widget/spin-slider.cpp
	widget/spinbutton.cpp
	widget/style-subject.cpp
	widget/style-swatch.cpp
	widget/text.cpp
	widget/tolerance-slider.cpp
	widget/unit-menu.cpp
	widget/unit-tracker.cpp

	view/view.cpp
	view/view-widget.cpp


	# -------
	# Headers
	clipboard.h
	contextmenu.h
	control-manager.h
	control-types.h
	dialog-events.h
	draw-anchor.h
	event-debug.h
	icon-names.h
	interface.h
        monitor.h
	previewable.h
	previewholder.h
	selected-color.h
	shape-editor.h
	tool-factory.h
	tools-switch.h
        util.h
	uxmanager.h

	cache/svg_preview_cache.h

	dialog/aboutbox.h
	dialog/align-and-distribute.h
	dialog/arrange-tab.h
	dialog/behavior.h
	dialog/calligraphic-profile-rename.h
	dialog/clonetiler.h
	dialog/color-item.h
        dialog/attrdialog.h
        dialog/cssdialog.h
	dialog/debug.h
	dialog/desktop-tracker.h
	dialog/dialog-manager.h
	dialog/dialog.h
	dialog/dock-behavior.h
	dialog/document-metadata.h
	dialog/document-properties.h
	dialog/export.h
	dialog/extension-editor.h
	dialog/extensions.h
	dialog/filedialog.h
	dialog/filedialogimpl-gtkmm.h
	dialog/filedialogimpl-win32.h
	dialog/fill-and-stroke.h
        dialog/filter-editor.h
	dialog/filter-effects-dialog.h
	dialog/find.h
	dialog/floating-behavior.h
	dialog/font-substitution.h
	dialog/glyphs.h
	dialog/grid-arrange-tab.h
	dialog/guides.h
	dialog/icon-preview.h
	dialog/inkscape-preferences.h
	dialog/input.h
	dialog/knot-properties.h
	dialog/layer-properties.h
	dialog/layers.h
	dialog/livepatheffect-add.h
	dialog/livepatheffect-editor.h
	dialog/lpe-fillet-chamfer-properties.h
	dialog/lpe-powerstroke-properties.h
	dialog/memory.h
	dialog/messages.h
	dialog/new-from-template.h
	dialog/object-attributes.h
	dialog/object-properties.h
	dialog/objects.h
	dialog/ocaldialogs.h
	dialog/panel-dialog.h
	dialog/pixelartdialog.h
	dialog/polar-arrange-tab.h
	dialog/print-colors-preview-dialog.h
	dialog/print.h
	dialog/prototype.h
	dialog/spellcheck.h
        dialog/styledialog.h
	dialog/svg-fonts-dialog.h
	dialog/swatches.h
	dialog/symbols.h
	dialog/tags.h
	dialog/template-load-tab.h
	dialog/template-widget.h
	dialog/text-edit.h
	dialog/tile.h
	dialog/tracedialog.h
	dialog/transformation.h
	dialog/undo-history.h
	dialog/xml-tree.h
	dialog/save-template-dialog.h

	tool/commit-events.h
	tool/control-point-selection.h
	tool/control-point.h
	tool/curve-drag-point.h
	tool/event-utils.h
	tool/manipulator.h
	tool/modifier-tracker.h
	tool/multi-path-manipulator.h
	tool/node-types.h
	tool/node.h
	tool/path-manipulator.h
	tool/selectable-control-point.h
	tool/selector.h
	tool/shape-record.h
	tool/transform-handle-set.h

	toolbar/arc-toolbar.h
	toolbar/box3d-toolbar.h
	toolbar/calligraphy-toolbar.h
	toolbar/connector-toolbar.h
	toolbar/dropper-toolbar.h
	toolbar/eraser-toolbar.h
	toolbar/gradient-toolbar.h
	toolbar/lpe-toolbar.h
	toolbar/measure-toolbar.h
	toolbar/mesh-toolbar.h
	toolbar/node-toolbar.h
	toolbar/pencil-toolbar.h
	toolbar/rect-toolbar.h
	toolbar/select-toolbar.h
	toolbar/spiral-toolbar.h
	toolbar/spray-toolbar.h
	toolbar/star-toolbar.h
	toolbar/text-toolbar.h
	toolbar/toolbar.h
	toolbar/tweak-toolbar.h
	toolbar/zoom-toolbar.h

	tools/arc-tool.h
	tools/box3d-tool.h
	tools/calligraphic-tool.h
	tools/connector-tool.h
	tools/dropper-tool.h
	tools/dynamic-base.h
	tools/eraser-tool.h
	tools/flood-tool.h
	tools/freehand-base.h
	tools/gradient-tool.h
	tools/lpe-tool.h
	tools/measure-tool.h
	tools/mesh-tool.h
	tools/node-tool.h
	tools/pen-tool.h
	tools/pencil-tool.h
	tools/rect-tool.h
	tools/select-tool.h
	tools/spiral-tool.h
	tools/spray-tool.h
	tools/star-tool.h
	tools/text-tool.h
	tools/tool-base.h
	tools/tweak-tool.h
	tools/zoom-tool.h

	widget/iconrenderer.h
	widget/alignment-selector.h
	widget/anchor-selector.h
	widget/attr-widget.h
	widget/button.h
	widget/clipmaskicon.h
	widget/color-entry.h
	widget/color-icc-selector.h
	widget/color-notebook.h
	widget/color-picker.h
	widget/color-preview.h
	widget/color-scales.h
	widget/color-slider.h
	widget/color-wheel-selector.h
	widget/combo-enums.h
	widget/dock-item.h
	widget/dock.h
	widget/entity-entry.h
	widget/entry.h
	widget/filter-effect-chooser.h
	widget/font-button.h
        widget/font-selector.h
        widget/font-selector-toolbar.h
	widget/font-variants.h
        widget/font-variations.h
	widget/frame.h
	widget/highlight-picker.h
	widget/insertordericon.h
	widget/imageicon.h
	widget/imagetoggler.h
	widget/ink-select-one-action.h
	widget/ink-spinscale.h
	widget/labelled.h
	widget/layer-selector.h
	widget/layertypeicon.h
	widget/licensor.h
	widget/notebook-page.h
	widget/object-composite-settings.h
	widget/page-sizer.h
  widget/pages-skeleton.h 
	widget/panel.h
	widget/point.h
	widget/preferences-widget.h
	widget/random.h
	widget/registered-enums.h
	widget/registered-widget.h
	widget/registry.h
	widget/rendering-options.h
	widget/rotateable.h
	widget/scalar-unit.h
	widget/scalar.h
	widget/selected-style.h
	widget/spin-scale.h
	widget/spin-slider.h
	widget/spinbutton.h
	widget/style-subject.h
	widget/style-swatch.h
	widget/text.h
	widget/tolerance-slider.h
	widget/unit-menu.h
	widget/unit-tracker.h

	view/edit-widget-interface.h
	view/view-widget.h
	view/view.h
)

if(WIN32)
	list(APPEND ui_SRC
		dialog/filedialogimpl-win32.cpp
	)
endif()

add_inkscape_source("${ui_SRC}")

set ( ui_flood_and_trace_SRC
	tools/flood-tool.h
	tools/flood-tool.cpp
	dialog/tracedialog.cpp
	dialog/tracedialog.h
	toolbar/paintbucket-toolbar.cpp
	toolbar/paintbucket-toolbar.h
)

if ("${HAVE_POTRACE}")
	add_inkscape_source("${ui_flood_and_trace_SRC}")
endif()
